package Cpanel::Easy::OptLib::geoip;

sub path_installed {
    my ($easy_obj) = @_;

    return {
        'name'         => 'GeoIP',
        'install_path' => "/opt/geoip/",
        'itis_up2date' => sub {
            `/opt/geoip/bin/geoip-config --version` =~ m{ 1[.]4[.]6 }xms;
        },
        'working_path' => 'GeoIP-1.4.6',
        'command_list' => [ 
            [qw(./configure --prefix=/opt/geoip)], 
            ['make'], [qw(make install)], 
            [qw(cp ../geoip-config /opt/geoip/bin/geoip-config)], 
            [qw(chmod 755 /opt/geoip/bin/geoip-config)],
        ],
    };
}

1;

